SDK RUBY

Introducción

Para que puedas integrarte desde cualquier aplicación Ruby que estés construyendo, descargate el SDK RUBY actualizado desde nuestro repositorio en Github.

 

Requerimientos

Esta versión funciona correctamente con Ruby 1.9.3 y superiores.

Instalación

Una vez descargado y descomprimido el SDK RUBY actualizado, tenés que crear un archivo TodoPagoConector.gem y luego instalarlo para comenzar a utilizar el conector.

 

Para crear el archivo TodoPagoConector.gem, tenés que abrir una consola y ejecutar los siguientes comandos:

cd "ruta-del-sdk-descomprimido"
cd sdk-ruby-master
..\sdk-ruby-master>gem build TodoPagoConector.gemspec

El resultado del comando build será un archivo compilado con un nombre similar a TodoPagoConector-1.1.0.gem.

 

Ahora tenés que instalar el archivo generado, ejecutando el siguiente comando en la consola:

sdk-ruby-master>gem install ./TodoPagoConector-1.1.0.gem

 

Para confirmar que la instalación se realizó correctamente, tenés que abrir la Interactive RuBy Shell y ejecutar el siguiente comando:
irb(main):004:0> require 'todo_pago_conector'
     => true

Modo de uso y ejemplos

La mejor forma de aprender a utilizar el SDK RUBY es a través de los ejemplos publicados en nuestro repositorio en Github.